signon 8.54

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

Macros | Variables
signond-common.h File Reference
`#include "signond/signoncommon.h"`
Include dependency graph for signond-common.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | SIGNOND_MAX_IDLE_TIME 300
#define | SIGNON_UI_SERVICE QLatin1String("com.nokia.singlesignonui")
#define | SIGNON_UI_DAEMON_OBJECTPATH QLatin1String("/SignonUi")

## Variables
const char | signonDefaultDbName [] = "signon.db"
const char | signonDefaultSecretsDbName [] = "signon-secrets.db"
const bool | signonDefaultUseEncryption = true
const char | signonDefaultStoragePath [] = "~/.config/signond"

## Macro Definition Documentation

#define SIGNON_UI_DAEMON_OBJECTPATH QLatin1String("/SignonUi")

Definition at line 57 of file signond-common.h.

Referenced by SignonDaemonNS::SignonSessionCore::SignonSessionCore().

#define SIGNON_UI_SERVICE QLatin1String("com.nokia.singlesignonui")

Definition at line 56 of file signond-common.h.

Referenced by SignonDaemonNS::SignonSessionCore::SignonSessionCore().

#define SIGNOND_MAX_IDLE_TIME 300

Definition at line 51 of file signond-common.h.

## Variable Documentation

const char signonDefaultDbName[] = "signon.db"

Definition at line 62 of file signond-common.h.

const char signonDefaultSecretsDbName[] = "signon-secrets.db"

Definition at line 63 of file signond-common.h.

const char signonDefaultStoragePath[] = "~/.config/signond"

Definition at line 65 of file signond-common.h.

Referenced by SignonDaemonNS::CAMConfiguration::CAMConfiguration().

const bool signonDefaultUseEncryption = true

Definition at line 64 of file signond-common.h.